#ifndef clipping_h_seen
#define clipping_h_seen

#include "motion.h"
// this allows clipping to any size rectangle
// has bugs when MIN != 0...  
#define CLIP_X_MIN 0
#define CLIP_Y_MIN 0
//#define CLIP_X_MAX (239)
#define CLIP_X_MAX_DEFAULT (239)
#define CLIP_Y_MAX (160 - 1)

//#define CLIP_Y_MAX_DEFAULT (20*8 - 1)
//#define CLIP_Y_MAX_FULL (160 - 1)
//extern int CLIP_Y_MAX;
extern int CLIP_X_MAX;

#define SCREEN_SIZE_X (CLIP_X_MIN + ((CLIP_X_MAX_DEFAULT - CLIP_X_MIN)/2))
#define SCREEN_SIZE_Y (CLIP_Y_MIN + ((CLIP_Y_MAX - CLIP_Y_MIN)/2))

extern int g_RENDER_AS_TRIANGLES;
void draw_clipped_line(const coord_t * start, const coord_t * end);

void polygon(int n, const unsigned char * verts, const coord_t * coords, int id);
void draw_polygon(int verts, const coord_t cds[]);
#endif
