#ifndef killvalues_h_seen
#define killvalues_h_seen

// C64 kill values 

#define KILVAL_NONE                      0x0000
#define KILVAL_MISSILE                   0x0095
#define KILVAL_SST                       KILVAL_NONE
#define KILVAL_CORIOLIS                  KILVAL_SST
#define KILVAL_DODECAGON                 KILVAL_SST
// space junk
#define KILVAL_ESCAPE_CAPSULE            0x0010
#define KILVAL_ALLOYS                    0x000a
#define KILVAL_CARGO_CANISTER            0x000a
#define KILVAL_BOULDER                   0x0006
#define KILVAL_ASTEROID                  0x0008
#define KILVAL_SPLINTER                  0x000a
#define KILVAL_SHUTTLE                   0x0010
#define KILVAL_TRANSPORTER               0x0011
//traders
#define KILVAL_T_COBRA_MK3               0x00EA
#define KILVAL_T_PYTHON                  0x00AA
#define KILVAL_T_BOA                     0x00D5
#define KILVAL_ANACONDA                  0x0100
#define KILVAL_MONITOR                   0x00BC
#define KILVAL_OPHIDIAN                  0x008A
#define KILVAL_GHAVIAL                   0x00A0
#define KILVAL_IGUANA                    0x0080
#define KILVAL_SALAMANDER                0x00A0
#define KILVAL_CHAMELEON                 0x00A0
#define KILVAL_CHAMELEON_2               0x00AA
#define KILVAL_UNKNOWN                   KILVAL_ANACONDA

// space junk
#define KILVAL_HERMIT                    0x0055

// police
#define KILVAL_VIPER                     0x001A
// pirates
#define KILVAL_SIDEWINDER                0x0055
#define KILVAL_BUSHMASTER                0x0055
#define KILVAL_COBRA_MK1                 0x0055
#define KILVAL_MAMBA                     0x0080
#define KILVAL_KRAIT                     0x0055
#define KILVAL_ADDER                     0x005A
#define KILVAL_GECKO                     0x0055
#define KILVAL_P_PYTHON                  0x00aa
#define KILVAL_WORM                      0x0032
//bounty hunters/"lone wolves"
#define KILVAL_B_BOA                     0x00E5
#define KILVAL_COBRA_MK3_2               0x013A
#define KILVAL_COBRA_MK3_3               0x012A
#define KILVAL_ASP_MK2                   0x0115
#define KILVAL_ASP_MK2_2                 0x0125
#define KILVAL_B_PYTHON                  0x012A
#define KILVAL_FER_DE_LANCE              0x0140
#define KILVAL_MORAY                     0x00C0
#define KILVAL_THARGOID                  0x02AA
#define KILVAL_THARGLET                  0x0021
#define KILVAL_CONSTRICTOR               0x0555

#endif
