#ifndef killvalues_h_seen
#define killvalues_h_seen

// for C64 kill values
#define KILVAL_NONE                      0x0000 // 0.000000 , C64=0.000000 
#define KILVAL_MISSILE                   0x00FB // 0.980469 , C64=0.582031 
#define KILVAL_SST                       KILVAL_NONE
#define KILVAL_CORIOLIS                  KILVAL_SST
#define KILVAL_DODECAGON                 KILVAL_SST
// space junk
#define KILVAL_ESCAPE_CAPSULE            0x0076 // 0.460938 , C64=0.062500 
#define KILVAL_ALLOYS                    0x0070 // 0.437500 , C64=0.039062 
#define KILVAL_CARGO_CANISTER            0x0070 // 0.437500 , C64=0.039062 
#define KILVAL_BOULDER                   0x006C // 0.421875 , C64=0.023438 
#define KILVAL_ASTEROID                  0x006E // 0.429688 , C64=0.031250 
#define KILVAL_SPLINTER                  0x0070 // 0.437500 , C64=0.039062 
#define KILVAL_SHUTTLE                   0x0076 // 0.460938 , C64=0.062500 
#define KILVAL_TRANSPORTER               0x0077 // 0.464844 , C64=0.066406 
//traders
#define KILVAL_T_COBRA_MK3               0x0150 // 1.312500 , C64=0.914062 
#define KILVAL_T_PYTHON                  0x0110 // 1.062500 , C64=0.664062 
#define KILVAL_T_BOA                     0x013B // 1.230469 , C64=0.832031 
#define KILVAL_ANACONDA                  0x0166 // 1.398438 , C64=1.000000 
#define KILVAL_MONITOR                   0x0122 // 1.132812 , C64=0.734375 
#define KILVAL_OPHIDIAN                  0x00F0 // 0.937500 , C64=0.539062 
#define KILVAL_GHAVIAL                   0x0106 // 1.023438 , C64=0.625000 
#define KILVAL_IGUANA                    0x00E6 // 0.898438 , C64=0.500000 
#define KILVAL_SALAMANDER                0x0106 // 1.023438 , C64=0.625000 
#define KILVAL_CHAMELEON                 0x0106 // 1.023438 , C64=0.625000 
#define KILVAL_CHAMELEON_2               0x0110 // 1.062500 , C64=0.664062 
#define KILVAL_UNKNOWN                   KILVAL_ANACONDA

// space junk
#define KILVAL_HERMIT                    0x00BB // 0.730469 , C64=0.332031 

// police
#define KILVAL_VIPER                     0x0080 // 0.500000 , C64=0.101562 
// pirates
#define KILVAL_SIDEWINDER                0x013B // 1.230469 , C64=0.332031 
#define KILVAL_BUSHMASTER                0x013B // 1.230469 , C64=0.332031 
#define KILVAL_COBRA_MK1                 0x013B // 1.230469 , C64=0.332031 
#define KILVAL_MAMBA                     0x0166 // 1.398438 , C64=0.500000 
#define KILVAL_KRAIT                     0x013B // 1.230469 , C64=0.332031 
#define KILVAL_ADDER                     0x0140 // 1.250000 , C64=0.351562 
#define KILVAL_GECKO                     0x013B // 1.230469 , C64=0.332031 
#define KILVAL_P_PYTHON                  0x0190 // 1.562500 , C64=0.664062 
#define KILVAL_WORM                      0x0118 // 1.093750 , C64=0.195312 
//bounty hunters/"lone wolves"
#define KILVAL_B_BOA                     0x01CB // 1.792969 , C64=0.894531 
#define KILVAL_COBRA_MK3_2               0x0220 // 2.125000 , C64=1.226562 
#define KILVAL_COBRA_MK3_3               0x0210 // 2.062500 , C64=1.164062 
#define KILVAL_ASP_MK2                   0x01FB // 1.980469 , C64=1.082031 
#define KILVAL_ASP_MK2_2                 0x020B // 2.042969 , C64=1.144531 
#define KILVAL_B_PYTHON                  0x0210 // 2.062500 , C64=1.164062 
#define KILVAL_FER_DE_LANCE              0x0226 // 2.148438 , C64=1.250000 
#define KILVAL_MORAY                     0x01A6 // 1.648438 , C64=0.750000 
#define KILVAL_THARGOID                  0x0390 // 3.562500 , C64=2.664062 
#define KILVAL_THARGLET                  0x0107 // 1.027344 , C64=0.128906 
#define KILVAL_CONSTRICTOR               0x063B // 6.230469 , C64=5.332031 

#endif
