#ifndef tactics_h_seen
#define tactics_h_seen

#include "motion.h"

// for $6A
#define FLAG_TRADER         1
#define FLAG_BOUNTY_HUNTER  2
#define FLAG_ANGRY          4
#define FLAG_PIRATE         8
#define FLAG_DOCKING        16
#define FLAG_POLICEMAN      0x20
#define FLAG_DEFENCELESS    0x40
#define FLAG_INNOCENT       (FLAG_DEFENCELESS|FLAG_POLICEMAN)
#define FLAG_REMOVE_SHIP    0x80


// from ROM flags for ship type
#define HAS_ESCAPE_POD     0x80

// $65 or stellarobject_t missiles
#define FLAG_INVISIBLE      16
#define IS_FIRING     0x40
#define IS_EXPLODING  0x40
#define EXPLODE_OBJECT  0x20
#define REMOVE_OBJECT  0x80
/*
 * this is for $66 ai_state*/
#define HAS_ECM  1  
#define ATTACK_PLAYER  0x40  
#define IS_INTELLIGENT  0x80  

int launch_ship_from_other(int newid, 
    stellarobject_t * obj, int X); 
void  tactics(stellarobject_t * , 
    const shipheader_t * const );
void add_random_ship(void);

// make ship at index angry
void make_angry(int );

int add_thargoids(void);

#endif

